Get sync event details
curl --request GET \
--url https://api.nuvia.ai/v1/hubspot/sync-logs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nuvia.ai/v1/hubspot/sync-logs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nuvia.ai/v1/hubspot/sync-logs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/hubspot/sync-logs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/hubspot/sync-logs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nuvia.ai/v1/hubspot/sync-logs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/hubspot/sync-logs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_id": "<string>",
"event_type": "<string>",
"direction": "<string>",
"status": "<string>",
"object_type": "<string>",
"summary": "<string>",
"createdAt": "<string>",
"internal_id": "<string>",
"external_id": "<string>",
"contact_id": "<string>",
"conversation_id": "<string>",
"hubspot_contact_id": "<string>",
"hubspot_deal_id": "<string>",
"hubspot_lead_id": "<string>",
"contact_name": "<string>",
"contact_phone": "<string>",
"deal_name": "<string>",
"details": {},
"mapped_fields": [
{
"nuvia_field": "conversation.status",
"hubspot_property": "contacts.nuvia_status",
"value": {}
}
],
"received_fields": {
"deals": {
"dealname": "Proposta X",
"dealstage": "2523226"
},
"contacts": {
"email": "contato@exemplo.com",
"lifecyclestage": "1047864462"
}
},
"local_snapshot": {
"status": "OPEN",
"lead_score": 70,
"resume": "Resumo da conversa"
},
"error": "<string>",
"duration_ms": 123,
"attempt": 123
}HubSpot
Get sync event details
Returns a complete event, including the mapped fields and the properties received from HubSpot, which are omitted in the list due to volume
GET
/
v1
/
hubspot
/
sync-logs
/
{id}
Get sync event details
curl --request GET \
--url https://api.nuvia.ai/v1/hubspot/sync-logs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nuvia.ai/v1/hubspot/sync-logs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nuvia.ai/v1/hubspot/sync-logs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/hubspot/sync-logs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/hubspot/sync-logs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nuvia.ai/v1/hubspot/sync-logs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/hubspot/sync-logs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_id": "<string>",
"event_type": "<string>",
"direction": "<string>",
"status": "<string>",
"object_type": "<string>",
"summary": "<string>",
"createdAt": "<string>",
"internal_id": "<string>",
"external_id": "<string>",
"contact_id": "<string>",
"conversation_id": "<string>",
"hubspot_contact_id": "<string>",
"hubspot_deal_id": "<string>",
"hubspot_lead_id": "<string>",
"contact_name": "<string>",
"contact_phone": "<string>",
"deal_name": "<string>",
"details": {},
"mapped_fields": [
{
"nuvia_field": "conversation.status",
"hubspot_property": "contacts.nuvia_status",
"value": {}
}
],
"received_fields": {
"deals": {
"dealname": "Proposta X",
"dealstage": "2523226"
},
"contacts": {
"email": "contato@exemplo.com",
"lifecyclestage": "1047864462"
}
},
"local_snapshot": {
"status": "OPEN",
"lead_score": 70,
"resume": "Resumo da conversa"
},
"error": "<string>",
"duration_ms": 123,
"attempt": 123
}Authorizations
JWT authentication token
Path Parameters
Response
Event returned successfully
Show child attributes
Show child attributes
Properties as received from HubSpot in this event, grouped by objectType (inbound only). Omitted in the list.
Example:
{
"deals": {
"dealname": "Proposta X",
"dealstage": "2523226"
},
"contacts": {
"email": "contato@exemplo.com",
"lifecyclestage": "1047864462"
}
}
Nuvia's state at the moment it was sent to the CRM (outbound only). Omitted in the list.
Example:
{
"status": "OPEN",
"lead_score": 70,
"resume": "Resumo da conversa"
}